Subject: bug#55844: Dbus bug for Chromium extensions

From: Nicolas Graves <[email-masked]>
Date: Wed, 08 Jun 2022 12:12:32 +0200

Hi !

I was trying to package another chromium extension into Guix but I'm
getting stuck with these errors :

_XSERVTransmkdir: ERROR: euid != 0,directory /tmp/.X11-unix will not be created.
Fontconfig error: No writable cache directories
Fontconfig error: No writable cache directories
[10:28:0531/060100.449212:ERROR:bus.cc(398)] Failed to connect to the bus: Failed to connect to socket
/var/run/dbus/system_bus_socket: No such file or directory
[10:28:0531/060100.449297:ERROR:bus.cc(398)] Failed to connect to the bus: Failed to connect to socket
/var/run/dbus/system_bus_socket: No such file or directory
[10:26:0531/060100.452428:ERROR:bus.cc(398)] Failed to connect to the bus: Could not parse server address: Unknown address type
(examples of valid types are "tcp" and on UNIX "unix")
[10:26:0531/060100.452827:ERROR:bus.cc(398)] Failed to connect to the bus: Could not parse server address: Unknown address type
(examples of valid types are "tcp" and on UNIX "unix")
Backtrace:
           2 (primitive-load "/gnu/store/5kz6ghy2js3mcdbkbb5a2js6hxv?")
In ice-9/eval.scm:
    619:8  1 (_ #(#<directory (guile-user) 7ffff5fdbc80> "/gnu/st?" ?))
In guix/build/utils.scm:
    762:6  0 (invoke "/gnu/store/jsglqylg94biv33jmnm1zfl0a9v0palh-u?" ?)

guix/build/utils.scm:762:6: In procedure invoke:
ERROR:
  1. &invoke-error:
      program: "/gnu/store/jsglqylg94biv33jmnm1zfl0a9v0palh-ungoogled-chromium-102.0.5005.61-1/bin/chromium"
      arguments: ("--user-data-dir=chromium-profile"
"--pack-extension=/tmp/guix-build-zotero-connectors-5.0.92.crx.drv-0/extension"
"--pack-extension-key=/gnu/store/8bj3i35kj9fwj4a3w1fv8skia1gh9b35-zotero-connectors-signing-key.pem")
      exit-status: 22
      term-signal: #f
      stop-signal: #f

So it seems that in my case, the browser is trying to connect to dbus
which is not a dependency.

Have you already run into these kind of errors ?
I'm running mainly under Sway implementation of wayland, does it have
something to do with it ?

I've tried adding dbus to the list of native-inputs, but only that
doesn't fix the issue. I've also tried adding a dbus deamon,

(invoke (string-append #$dbus "/bin/dbus-daemon")
                   "--fork" "--session")

but I still get the same errors as chromium is trying to connect to
system bus.

I don't have enough dbus understanding to try and address the
issue.

In my particular case, I was trying to package zotero connectors, see my
WIP/dirty package here :
https://git.sr.ht/~ngraves/guix-channel/tree/master/item/ngraves/packages/zotero.scm

Thanks for your help !

Nicolas